%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:          bean-validation-api
Version:       1.0.0
Release:       %mkrel 1
Summary:       Bean Validation API
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.hibernate.org/subprojects/validator.html
# svn export http://anonsvn.jboss.org/repos/hibernate/beanvalidation/api/tags/v1_0_0_GA/ hibernate-validation-api-1.0.0.GA
# tar czf hibernate-validation-api-1.0.0.GA-src-svn.tar.gz hibernate-validation-api
Source0:       hibernate-validation-api-%{namedversion}-src-svn.tar.gz
Patch0:        hibernate-validation-api-%{namedversion}-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch
Provides:      hibernate-validation-api

%description
Bean Validation (JSR-303) API.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils
Provides:         hibernate-validation-api-javadoc

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-validation-api-%{namedversion}
%patch0 -p0

%build
mvn-rpmbuild -e \
  install javadoc:aggregate


%install
mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 target/validation-api-%{namedversion}.jar \
	%{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 21 2011 gil <gil> 1.0.0-1.mga2
+ Revision: 157063
- imported package bean-validation-api

